File: changelog

package info (click to toggle)
libxrender 1:0.9.10-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid, stretch
  • size: 1,780 kB
  • ctags: 462
  • sloc: sh: 11,341; ansic: 2,926; makefile: 42
file content (479 lines) | stat: -rw-r--r-- 18,305 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
libxrender (1:0.9.10-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - Fixes CVE-2016-7949 and CVE-2016-7950 (Closes: #840443).
  * Update d/upstream/signing-key.asc with Matthieu Herrb's key.
  * Update a bunch of URLs in packaging to https.
  * Remove obsolete xsfbs.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Emilio Pozuelo Monfort ]
  * Bump debhelper compat to 10.
    + debhelper now calls autoreconf for us.
    + Parallel builds are now enabled by default.
  * Switch to dbgsym packages.
  * debhelper passes --disable-silent-rules for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 05 Dec 2016 19:52:42 +0100

libxrender (1:0.9.9-2) unstable; urgency=medium

  * Team upload.
  * Restore separate build directory.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 11:23:44 +0000

libxrender (1:0.9.9-1) sid; urgency=medium

  * Team upload.
  * New upstream release.
  * Let uscan verify upstream tarball signatures.
  * Bump libx11-dev build-dep to 2:1.6 per configure.ac.
  * Switch to dh and dh-autoreconf.
  * Remove Cyril from Uploaders.
  * Bump Standards-Version to 3.9.6, update Vcs-* control fields.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 10:53:59 +0000

libxrender (1:0.9.8-1) sid; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 7.
  * Use dpkg-buildflags.
  * Disable silent build rules.
  * Use dh_prep instead of dh_clean -k.

 -- Julien Cristau <jcristau@debian.org>  Sun, 30 Jun 2013 19:34:07 +0200

libxrender (1:0.9.7-1+deb7u1) wheezy-security; urgency=high

  * integer overflows calculating memory needs for replies [CVE-2013-1987]

 -- Julien Cristau <jcristau@debian.org>  Tue, 14 May 2013 19:28:26 +0200

libxrender (1:0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Don't require (fake)root for debian/rules clean.
  * Add Multi-Arch: same for libxrender-dev.
  * Bump xutils-dev build-dep for newer macros.

 -- Julien Cristau <jcristau@debian.org>  Sat, 21 Apr 2012 11:44:34 +0200

libxrender (1:0.9.6-2) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Add build-arch and (empty) build-indep debian/rules targets.
  * Remove David Nusinow, Brice Goglin and Andres Salomon from Uploaders.
  * Bump Standards-Version to 3.9.2.

 -- Julien Cristau <jcristau@debian.org>  Sun, 12 Jun 2011 10:19:50 +0200

libxrender (1:0.9.6-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright from upstream COPYING.
  * Bump Standards-Version to 3.9.0.

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Jul 2010 13:26:35 +0100

libxrender (1:0.9.5-2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: libxrender1-udeb.
  * Bump the B-D on libx11-dev to ensure libxrender1-udeb gets a
    dependency on libx11-6-udeb.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add ${misc:Depends} to non-udeb binaries, and wrap Depends.
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 Mar 2010 02:02:29 +0100

libxrender (1:0.9.5-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * Run autoreconf on build. Add build-deps on automake, libtool
    and xutils-dev.
  * Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
  * Bump Standards-Version to 3.8.3.
  * Move -dbg package to section debug.
  * Drop pre-dependency on x11-common from libxrender-dev. This was needed
    for upgrades from sarge.

  [ Julien Cristau ]
  * Install the libXrender doc in libxrender-dev.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Nov 2009 19:38:16 +0100

libxrender (1:0.9.4-2) unstable; urgency=low

  * Pull upstream master up to commit f6f784c0.
  * Fix typo in long descriptions, thanks Justin Pryzby, closes: #459819.
  * Add a link to www.X.org and a reference to the upstream module
    in the long description.
  * Bump Standards-Version to 3.7.3 (no changes).
  * Drop the XS- prefix from Vcs-Git and Vcs-Browser fields in debian/control.
  * Drop CVS header from debian/copyright.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 18:55:08 +0200

libxrender (1:0.9.4-1) unstable; urgency=low

  * New upstream release.
    + Fix for renderproto 0.9.3, include Xlib.h before render.h in Xrender.h
      (closes: #442824).
  * Add myself to Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Mon, 17 Sep 2007 09:57:00 +0200

libxrender (1:0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders, and remove Branden and Fabio with their
    permission.
  * Replace ${Source-Version}) with ${binary:Version}.
  * Add upstream URL to debian/copyright.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 25 Aug 2007 11:41:18 +0200

libxrender (1:0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Drop obsolete CVS info from the descriptions, and add XS-Vcs-*.
  * Install the upstream changelog.

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Apr 2007 14:00:20 +0200

libxrender (1:0.9.1-3) unstable; urgency=low

  * Actually upload to unstable. Thanks Drew for catching this.

 -- David Nusinow <dnusinow@debian.org>  Wed, 30 Aug 2006 20:20:16 -0400

libxrender (1:0.9.1-2) experimental; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Wed, 30 Aug 2006 18:18:04 -0400

libxrender (1:0.9.1-1) experimental; urgency=low

  * New upstream release.
  * Autoreconf w/ an updated xutils-dev so that manpages have the 'x'
    extension dropped.
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fi.
  * Run dh_install w/ --list-missing.
  * Bump standards version to 3.7.2.0.
  * Version x11-common pre-dep in -dev package to 1:7.0.0 to match
    the rest of Debian.
  * Bump debhelper compat to 5.
  * Fix dh_strip call to skip the -dbg package.
  * Format changelog to not trigger lintian errors.

 -- Andres Salomon <dilinger@debian.org>  Sat, 29 Jul 2006 16:27:07 -0400

libxrender (1:0.9.0.2-4) unstable; urgency=low

  * Reorder makeshlib command in rules file so that ldconfig is run
    properly. Thanks Drew Parsons and Steve Langasek.

 -- David Nusinow <dnusinow@debian.org>  Tue, 18 Apr 2006 21:50:00 -0400

libxrender (1:0.9.0.2-3) unstable; urgency=low

  * Have libxrender-dev depend on libx11-dev (>= 2:1.0.0). Thanks Sebastien
    Bacher. (closes: #362513)

 -- David Nusinow <dnusinow@debian.org>  Thu, 13 Apr 2006 19:11:10 -0400

libxrender (1:0.9.0.2-2) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Thu, 23 Mar 2006 22:45:16 -0500

libxrender (1:0.9.0.2-1) experimental; urgency=low

  * First upload to Debian

 -- David Nusinow <dnusinow@debian.org>  Thu, 29 Dec 2005 20:54:46 -0500

libxrender (1:0.9.0-1) breezy; urgency=low

  * Play the epoch-for-epoch madness game.
  * Grab this one from xorg/lib, not xlibs; hence the change in package name.
  * Remove libxrender-dev.links.
  * Clean up Depends lines.
  * Remove horrendous hacks only needed for upgrades from no-longer-supported
    versions.
  * In accordance with all other X libraries, stop shipping Libtool .la file.
  
 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 12 Jul 2005 18:39:47 +1000

xrender (0.9.0-0ubuntu5) breezy; urgency=low

  * Add Pre-Depends on x-common (>= 0.99) to get the /usr transition.
  * Move files from /usr/X11R6 to /usr.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 18 May 2005 01:43:18 +1000

xrender (0.9.0-0ubuntu4) hoary; urgency=low

  * Set includedir to be /usr/X11R6 with autoconf, not by moving it around, so
    the pkgconfig file and the libtool library no longer lie.
  * Make libxrender-dev Depend (not B-D) on render-dev >= 0.9.

 -- Daniel Stone <daniel.stone@canonical.com>  Thu,  2 Dec 2004 11:10:51 +0000

xrender (0.9.0-0ubuntu3) hoary; urgency=low

  * Force versioned build-depend on render >= 0.9
  * The next question will be: "how many times before we get it right?"

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 01 Nov 2004 21:24:44 +0100

xrender (0.9.0-0ubuntu2) hoary; urgency=low

  * Force versioned build-depend on render >= 0.9.0

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 01 Nov 2004 20:58:21 +0100

xrender (0.9.0-0ubuntu1) unstable; urgency=low

  * New upstream version, including new trapezoid code.
    + Reapply AC_PATH_XTRA_CORRECTED stuff, and re-run autoreconf.  Far less
      invasive than the 0.8.x iterations of this, since it was run on the same
      machine as the upstream tarballs were generated from.  I'm not applying
      this upstream, since it has no business here.  If anything should be
      patched, it should be autoconf.

 -- Daniel Stone <daniel.stone@canonical.com>  Mon,  1 Nov 2004 18:48:52 +0100

xrender (0.8.3-7) unstable; urgency=medium

  * Urgency due to fix for FTBFS.

  * Define and use AC_PATH_XTRA_CORRECTED autoconf macro instead of
    AC_PATH_XTRA, which does not know how to find X libraries or headers when
    only x-dev and libx11-dev are installed (which are the only XFree86
    packages that Xrender needs to actually build).   Re-run aclocal &&
    automake --foreign && autoconf to resynchronize with change to
    configure.ac.  Fixes FTBFS; thanks to Jurij Smakov for this patch.
    (Closes: #233969)
    - acinclude.m4: define AC_PATH_XTRA_CORRECTED macro
    - configure.ac: use AC_PATH_XTRA_CORRECTED macro
    - Makefile.in, aclocal.m4, configure: regenerate

 -- Branden Robinson <branden@debian.org>  Tue,  9 Mar 2004 23:56:21 -0500

xrender (0.8.3-6) unstable; urgency=low

  * Make package compatible with the XFree86 4.3.0 package reorganization.
    - debian/control:
      + package build-depends on x-dev and libx11-dev instead of xlibs-dev
      + libxrender-dev depends on x-dev and libx11-dev instead of xlibs-dev
      + increased versioned conflict of libxrender1 on xlibs to (<< 4.3.0)
        due to (now undiverted) file overlaps
      + increased versioned conflict of libxrender1-dbg on xlibs-dbg to (<<
        4.3.0) due to (now undiverted) file overlaps
      + increased versioned conflict of libxrender-dev on xlibs-dev to (<<
        4.3.0) due to (now undiverted) file overlaps
    - debian/{libxrender1,libxrender1-dbg,libxrender-dev}.preinst: remove
      diversions made by previous versions of package if present
    - debian/{libxrender1,libxrender1-dbg,libxrender-dev}.postrm: deleted

  * Removal of the package diversions eliminates several related problems.
    (Closes: #227867,#230803,#233812)

  * Previous changelog entry corrected.  (Closes: #225450)

 -- Branden Robinson <branden@debian.org>  Thu, 19 Feb 2004 22:07:24 -0500

xrender (0.8.3-5) unstable; urgency=high

  * Urgency due to fix for grave bug.

  * Each of libxrender1, libxrender1-dbg, and libxrender-dev now conflict with
    their xlibs counterparts versioned less than 4.2.1, because the Xrender
    shared objects and related files in xlibs 4.1.0 are named
    "libXrender.so.1.0", not "libXrender.so.1.1" as the dpkg-divert commands
    in the xrender package's maintainer scripts expect.  This prevents
    libxrender1 from being removed.  We also can't add conditionals to handle
    this because the user might upgrade xlibs to 4.2.1 in the meantime.
    (Closes: #222343)
    - debian/control

 -- Branden Robinson <branden@debian.org>  Thu,  4 Dec 2003 23:45:32 -0500

xrender (0.8.3-4) unstable; urgency=medium

  * Urgency due to fix for serious bug.

  * Add build-dependency on pkg-config. (Closes: #216029)
    - debian/control

 -- Branden Robinson <branden@debian.org>  Thu, 16 Oct 2003 00:05:55 -0500

xrender (0.8.3-3) unstable; urgency=low

  * Clean up package's build-dependencies and dependencies.
    - debian/control:
      + drop versioning of build-dependency on xlibs-dev; all that is needed
        is libX11.so.6, and any version of xlibs-dev provides that
      + drop libxrender1's dependency on xlibs (>> 4.2.1); dpkg-shlibdeps adds
        an adequate dependency on xlibs
      + drop libxrender1-dbg's dependency on xlibs-dbg (>> 4.2.1); this isn't
        a true dependency, so let's get rid of it
      + drop versioning of libxrender-dev's dependency on xlibs-dev; all that
        is needed is libX11.so.6, and any version of xlibs-dev provides that
      + and dependency of libxrender-dev on render-dev

  * Clarify wording in packages' extended descriptions.
    - debian/control:
      + Remove redundant-through-implication sentence from libxrender1's
        description.
      + Simplify the message to non-programmers in libxrender1-dbg's
        description.
      + Simplify the wording regarding what is provided by the libxrender-dev
        package.

  * Stop using DEB_CONFIGURE_EXTRA_FLAGS entirely in the rules file;
    AC_PATH_XTRA does indeed seem to work adequately.
    - debian/rules

  * Stop using DEB_DH_MAKESHLIBS_ARGS_ALL entirely in the rules file; since
    libXrender has retained forward-compatibility since its first package
    release, it's fine to let dh_makeshlibs operate in its default manner.
    - debian/rules

  * Change maintainer to Debian X Strike Force, and add uploaders field to
    include myself.
    - debian/control

  * Steal patch from upstream CVS that works around breakage in the Xinerama
    implementation in the XFree86 X server, which only reports depths with an
    associated visual, when it should return all available depths.  Thanks to
    Marc Wilson for help tracking down the problem and the solution, and Nate
    Turner for confirming the fix.  (Closes: #215845)
    - Xrender.c

 -- Branden Robinson <branden@debian.org>  Wed, 15 Oct 2003 13:56:07 -0500

xrender (0.8.3-2) unstable; urgency=medium

  * Urgency medium because the problem fixed by this release bites a lot of
    KDE users who are using XFree86 4.2.0 or 4.2.1 Debian packages.

  * Add new diversion of the actual old libXrender shared object (as opposed
    to diverting only the symlinks).  This is necessary because ldconfig will
    recreate the libXrender.so.1 symbolic link in /usr/X11R6/lib, which causes
    major confusion (and possibly errors from the dynamic loader) for anything
    that searches /usr/X11R6/lib before /usr/lib.
    /usr/X11R6/lib/libXrender.so.1.1 is now being diverted to
    /usr/X11R6/lib/xlibs.libXrender-1.1.so.1.1.  The diversion's name has to
    have "xlibs." preprended because ldconfig will attempt to operate on
    any plain file matching "lib*.so*".
    - debian/libxrender1.preinst
    - debian/libxrender1.postrm

  * Under duress, ship a symlink from /usr/X11R6/lib/libXrender.la to
    /usr/lib/libXrender.la.  There appears to be a bug in libtool that that
    compels it to place absolute paths to .la files in other .la files.
    This symlink should allow a transition to a non-broken libtool (or the
    eventual recompilation of all libraries that transitively depend on
    libXrender, which is a lot of them) and will be removed in the future.
    - debian/libxrender-dev.links

  * Set AM_MAINTAINER_MODE because we do not want automake running during
    Debian package builds.
    - configure.ac

  * Run aclocal && automake --foreign && autoconf to resynchronize with
    change to configure.ac.
    - Makefile.in
    - aclocal.m4
    - configure

  * Bump standards version to 3.6.1; no changes necessary.
    - debian/control

 -- Branden Robinson <branden@debian.org>  Wed,  8 Oct 2003 21:05:28 -0500

xrender (0.8.3-1) unstable; urgency=low

  * new upstream release

  * Migrate from CBS to CDBS.
    - debian/control: add build-dependency on cdbs (>= 0.4.12)
    - debian/rules: translated to CDBS-speak
    - debian/*.install: update to be correct with the way CDBS uses dh_install

  * Move files from /usr/X11R6 to /usr where possible.  (The only exception is
    the Xrender.h, which is expected to be found in
    <X11/extensions/Xrender.h>, so has to be shipped in
    /usr/X11R6/include/X11/extensions.)
    - debian/*.install: update paths
    - debian/rules: stop passing --includedir and --libdir to configure
    - debian/control: update instructions for using LD_LIBRARY_PATH

 -- Branden Robinson <branden@debian.org>  Mon,  6 Oct 2003 23:33:00 -0500

xrender (0.8.2-2) unstable; urgency=low

  * debian/control: sync with overrides file; libxrender1-dbg is priority
    "extra"

 -- Branden Robinson <branden@debian.org>  Tue, 13 May 2003 15:12:00 -0500

xrender (0.8.2-1) unstable; urgency=low

  * new upstream release
    + Check in Debian packaging infrastructure per Keith's request.
    + Remove bogus Xext.h include.  Fix Render version comparison.

  * ChangeLog: grab more recent, but still pre-0.8.2 tag changelog entries
    from HEAD
  * {Makefile.in,aclocal.m4}: update using GNU automake 1.7.4

 -- Branden Robinson <branden@debian.org>  Tue, 13 May 2003 13:35:40 -0500

xrender (0.8.1-1) unstable; urgency=low

  * initial release
    + fix bad length computation in
      XRenderCompositeString16()/XRenderCompositeString32() that caused
      application crashes with BadValue X protocol errors, particularly in
      gnome-terminal and mozilla-xft (Closes: #181815)

  * {Makefile.am,xrender.pc.in}: Upstream hasn't quite gotten rid of its
    libXext dependency yet; Xrenderint.h still makes reference to
    XMissingExtension().  Therefore, Xrender itself, and objects that link
    against libXrender, should also link against libXext.
  * {Makefile.in,aclocal.m4,config.guess,config.sub,configure}: regenerated
    with automake 1.7.4 and friends

  * Until XFree86 4.3.0 is released to Debian unstable:
    - the libxrender1 package will depend on xlibs (>> 4.2.1) and dpkg-divert
      its libXrender.so.1 symlink
    - the libxrender1-dbg package will depend on xlibs-dbg (>> 4.2.1) and
      dpkg-divert its libXrender.so.1 symlink
    - the libxrender-dev package will depend on xlibs-dev (>> 4.2.1) and
      dpkg-divert its libXrender.a file, libXrender.so symlink, and Xrender.h
      file

 -- Branden Robinson <branden@debian.org>  Sun,  4 May 2003 13:14:54 -0500

vim:set ai tw=78 et sw=2 sts=2: